Package org.apache.qpid.proton.codec

# Interface Data

All Known Implementing Classes:
  `DataImpl`

public interface Data

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Data.DataType`
`static final class`
`Data.Factory`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`long`
`decode(ByteBuffer buf)`
`Binary`
`encode()`
`long`
`encode(ByteBuffer buf)`
`long`
`encodedSize()`
`boolean`
`enter()`
`boolean`
`exit()`
`String`
`format()`
`void`
`free()`
`long`
`getArray()`
`Data.DataType`
`getArrayType()`
`Binary`
`getBinary()`
`boolean`
`getBoolean()`
`byte`
`getByte()`
`int`
`getChar()`
`Decimal128`
`getDecimal128()`
`Decimal32`
`getDecimal32()`
`Decimal64`
`getDecimal64()`
`DescribedType`
`getDescribedType()`
`double`
`getDouble()`
`float`
`getFloat()`
`int`
`getInt()`
`Object[]`
`getJavaArray()`
`List<Object>`
`getJavaList()`
`Map<Object,Object>`
`getJavaMap()`
`long`
`getList()`
`long`
`getLong()`
`long`
`getMap()`
`Object`
`getObject()`
`short`
`getShort()`
`String`
`getString()`
`Symbol`
`getSymbol()`
`Date`
`getTimestamp()`
`UnsignedByte`
`getUnsignedByte()`
`UnsignedInteger`
`getUnsignedInteger()`
`UnsignedLong`
`getUnsignedLong()`
`UnsignedShort`
`getUnsignedShort()`
`UUID`
`getUUID()`
`boolean`
`isArrayDescribed()`
`boolean`
`isDescribed()`
`boolean`
`isNull()`
`Data.DataType`
`next()`
`Data.DataType`
`prev()`
`void`
`putArray(boolean described, Data.DataType type)`
`void`
`putBinary(byte[] bytes)`
`void`
`putBinary(Binary bytes)`
`void`
`putBoolean(boolean b)`
`void`
`putByte(byte b)`
`void`
`putChar(int c)`
`void`
`putDecimal128(Decimal128 d)`
`void`
`putDecimal32(Decimal32 d)`
`void`
`putDecimal64(Decimal64 d)`
`void`
`putDescribed()`
`void`
`putDescribedType(DescribedType dt)`
`void`
`putDouble(double d)`
`void`
`putFloat(float f)`
`void`
`putInt(int i)`
`void`
`putJavaList(List<Object> list)`
`void`
`putJavaMap(Map<Object,Object> map)`
`void`
`putList()`
`void`
`putLong(long l)`
`void`
`putMap()`
`void`
`putNull()`
`void`
`putObject(Object o)`
`void`
`putShort(short s)`
`void`
`putString(String string)`
`void`
`putSymbol(Symbol symbol)`
`void`
`putTimestamp(Date t)`
`void`
`putUnsignedByte(UnsignedByte ub)`
`void`
`putUnsignedInteger(UnsignedInteger ui)`
`void`
`putUnsignedLong(UnsignedLong ul)`
`void`
`putUnsignedShort(UnsignedShort us)`
`void`
`putUUID(UUID u)`
`void`
`rewind()`
`long`
`size()`
`Data.DataType`
`type()`

## Method Details

### free

void free()

### clear

void clear()

### size

long size()

### rewind

void rewind()

### next

Data.DataType next()

### prev

Data.DataType prev()

### enter

boolean enter()

### exit

boolean exit()

### type

Data.DataType type()

### encode

Binary encode()

### encodedSize

long encodedSize()

### encode

long encode(ByteBuffer buf)

### decode

long decode(ByteBuffer buf)

### putList

void putList()

### putMap

void putMap()

### putArray

void putArray(boolean described, Data.DataType type)

### putDescribed

void putDescribed()

### putNull

void putNull()

### putBoolean

void putBoolean(boolean b)

### putUnsignedByte

void putUnsignedByte(UnsignedByte ub)

### putByte

void putByte(byte b)

### putUnsignedShort

void putUnsignedShort(UnsignedShort us)

### putShort

void putShort(short s)

### putUnsignedInteger

void putUnsignedInteger(UnsignedInteger ui)

### putInt

void putInt(int i)

### putChar

void putChar(int c)

### putUnsignedLong

void putUnsignedLong(UnsignedLong ul)

### putLong

void putLong(long l)

### putTimestamp

void putTimestamp(Date t)

### putFloat

void putFloat(float f)

### putDouble

void putDouble(double d)

### putDecimal32

void putDecimal32(Decimal32 d)

### putDecimal64

void putDecimal64(Decimal64 d)

### putDecimal128

void putDecimal128(Decimal128 d)

### putUUID

void putUUID(UUID u)

### putBinary

void putBinary(Binary bytes)

### putBinary

void putBinary(byte[] bytes)

### putString

void putString(String string)

### putSymbol

void putSymbol(Symbol symbol)

### putObject

void putObject(Object o)

### putJavaMap

void putJavaMap(Map<Object,Object> map)

### putJavaList

void putJavaList(List<Object> list)

### putDescribedType

void putDescribedType(DescribedType dt)

### getList

long getList()

### getMap

long getMap()

### getArray

long getArray()

### isArrayDescribed

boolean isArrayDescribed()

### getArrayType

Data.DataType getArrayType()

### isDescribed

boolean isDescribed()

### isNull

boolean isNull()

### getBoolean

boolean getBoolean()

### getUnsignedByte

UnsignedByte getUnsignedByte()

### getByte

byte getByte()

### getUnsignedShort

UnsignedShort getUnsignedShort()

### getShort

short getShort()

### getUnsignedInteger

UnsignedInteger getUnsignedInteger()

### getInt

int getInt()

### getChar

int getChar()

### getUnsignedLong

UnsignedLong getUnsignedLong()

### getLong

long getLong()

### getTimestamp

Date getTimestamp()

### getFloat

float getFloat()

### getDouble

double getDouble()

### getDecimal32

Decimal32 getDecimal32()

### getDecimal64

Decimal64 getDecimal64()

### getDecimal128

Decimal128 getDecimal128()

### getUUID

UUID getUUID()

### getBinary

Binary getBinary()

### getString

String getString()

### getSymbol

Symbol getSymbol()

### getObject

Object getObject()

### getJavaMap

Map<Object,Object> getJavaMap()

### getJavaList

List<Object> getJavaList()

### getJavaArray

Object[] getJavaArray()

### getDescribedType

DescribedType getDescribedType()

### format

String format()